apiVersion: v1
kind: Service
metadata:
  name: service
  namespace: rackstation
spec:
  type: ExternalName
  externalName: 192.168.1.10
  ports:
    - port: 5001
      protocol: TCP
      name: service-port